Subject: Re: [PATCH iproute2-next] geneve: fix ttl inherit behavior

From: Hangbin Liu <[email-masked]>
Date: Fri, 28 Sep 2018 08:59:36 +0800

On Thu, Sep 27, 2018 at 11:08:36AM +0200, Phil Sutter wrote:
> On Thu, Sep 27, 2018 at 03:27:37PM +0800, Hangbin Liu wrote:
> > Currently when we add geneve with "ttl inherit", we set ttl to 0, which
> > is actually use whatever default value instead of inherit the inner
> > protocol's ttl value.
> > 
> > To respect compatibility with old behavior and make a difference between
> > ttl inherit and ttl == 0, we add an attribute IFLA_GENEVE_TTL_INHERIT in
> > kernel commit 52d0d404d39dd ("geneve: add ttl inherit support").
> > 
> > Now let's use "ttl inherit" to inherit the inner protocol's ttl, and use
> > "ttl auto" to means "use whatever default value", the same behavior with
> > ttl == 0.
> > 
> > Reported-by: Jianlin Shi <[email-masked]>
> > Signed-off-by: Hangbin Liu <[email-masked]>
> 
> Acked-by: Phil Sutter <[email-masked]>

Hi Stephen, David,

Please hold on this path and let me fix the inherit flag issue first.

Thanks
Hangbin